//
//  VPedal.h
//  VPedal
//
//  Created by Gary Fielke on 17/09/2014.
//  Copyright (c) 2014 VPedal. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//! Project version number for VPedal.
FOUNDATION_EXPORT double VPedalVersionNumber;

//! Project version string for VPedal.
FOUNDATION_EXPORT const unsigned char VPedalVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <VPedal/PublicHeader.h>


@protocol VPedalDelegate;

@interface VPedal : NSObject

@property(nonatomic, retain)    id<VPedalDelegate>   delegate;

-(id)initWithDelegate:(id<VPedalDelegate>)delegate;

@end


@protocol VPedalDelegate <NSObject>

-(void)vpedalConnected;
-(void)vpedalDisconnected;
-(void)vpedalPlayDown;
-(void)vpedalPlayUp;
-(void)vpedalRewindDown;
-(void)vpedalRewindUp;
-(void)vpedalFastForwardDown;
-(void)vpedalFastForwardUp;

@end
